com.rscja.team.qcom.uhfparse

## Class UHFBLEProtocolParse

- java.lang.Object
- - com.rscja.team.qcom.uhfparse.UHFProtocolProtocolParseBase
  - - com.rscja.team.qcom.uhfparse.UHFBLEProtocolParse

-     public class UHFBLEProtocolParse
      extends UHFProtocolProtocolParseBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.rscja.team.qcom.uhfparse.UHFProtocolProtocolParseBase

      `UHFProtocolProtocolParseBase.CMDInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UHFBLEProtocolParse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCmdList(UHFProtocolProtocolParseBase.CMDInfo info)`
    `boolean` | `isBuildFullData(UHFProtocolProtocolParseBase.CMDInfo cmdinfo)`
    `void` | `setkeyEventCallback(KeyEventCallback keyEventCallback)`
    `void` | `setSupportRssi(boolean isSupportRssi)`

    - ### Methods inherited from class com.rscja.team.qcom.uhfparse.UHFProtocolProtocolParseBase

      `addCmd, cleanOldCmd, cleanTagCmd, getCmdList, getCmdList, getCmdList, getTagCmd, parseData, setInventoryCallback`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UHFBLEProtocolParse

          public UHFBLEProtocolParse()

  - ### Method Detail

    - #### setkeyEventCallback

          public void setkeyEventCallback(KeyEventCallback keyEventCallback)

    - #### isBuildFullData

          public boolean isBuildFullData(UHFProtocolProtocolParseBase.CMDInfo cmdinfo)

      Specified by:
        `isBuildFullData` in class `UHFProtocolProtocolParseBase`

    - #### setSupportRssi

          public void setSupportRssi(boolean isSupportRssi)

    - #### addCmdList

          public void addCmdList(UHFProtocolProtocolParseBase.CMDInfo info)

      Specified by:
        `addCmdList` in class `UHFProtocolProtocolParseBase`